%smvcurves 
clear, close all,clc
Ra=0.018 ; Xd=1.15 ;Xq=0.75; Vs=1.0;
h=figure('Position',[30  40  500 580],'Name','V curves',...
   'NumberTitle','off');
for p=1:5
   if p==1, Tl=0; parEf=0:0.01:2';
    elseif p==2, Tl=0.25;parEf=0.05:0.02:2;
    elseif p==3, Tl=0.5;parEf=0.41:0.02:2;
    elseif p==4, Tl=0.75;parEf=0.75:0.02:2;
    elseif p==5, Tl=1.0;parEf=1.06:0.02:2;   
   end
     I=[];d=[];
   for m=1:length(parEf)
   Ef=parEf(m);
   sim('smVcurve')   
   I=[I;current];
   d=[d;delta];
end
    % PLOTS 
   subplot(211)
   plot(parEf,I),title('V CURVES'),
   xlabel('Excitation voltage Ef'),ylabel('CURRENT I'),
   axis ([0 2 0 1.5]),grid,hold on
   subplot(212)
 plot(parEf,d*180/pi),title('delta angle'),
 xlabel('Excitation voltage Ef'),ylabel('Delta'),grid,hold on
 axis([0 2 0 70])
end
disp('                                                                   Press a key...')
pause
smccurve