%menu for animations.m files
clc,close all
            v=menu('ANIMATIONS:',...
           'Instructions on how to run movies',...     
           'Magnetic field distribution due to sinusoidal winding with sinusoidal current',...
           'Magnetic field distribution due to 3-phase stator excitation',...
           'Sinusoidally distributed windings in a three-phase ac machine',...
           'Air gap flux plot due to three-phase excitation',...
           'Space distribution of waves in a 3-phase ac machine',...
           'Space vector representation of waves in a 3-phase machine',...
           'Combined vector and space distributions',...
           'Motion of space vectors in various reference frames',...
           'Wound rotor induction machine configuration',...
           'Squirrel-cage induction motor configuration',...
           'Waves in a squirrel-cage rotor of an induction motor',...
           'Alternator',...
           'DC machine schematic representation',...
           'Brushless dc machine',...
           'Switched-reluctance motor',...
           'Steady-state characteristics of an induction motor',...
           'Induction motor under pulsed loads',...
           'Transient stability of a synchronous machine against an infinite bus',...
           'Steady-state characteristics of a synchronous generator',...
           'Steady-state characteristics of a synchronous motor (part 1)',...
           'Steady-state characteristics of a synchronous motor (part 2)',...
           'Close');
  v1=num2str(v);      
      switch v1
      case '1',infomovies;   
      case '2',im_field1; 
      case '3',im_field3;
      case '4',sinwdg ;
      case '5',im_flux3;    
      case '6',sinmovie;
      case '7',vecmovie;
      case '8',sinvecmovie;    
      case '9',imwavesA;
      case '10',im3phase;
      case '11',imfield;
      case '12',squirrelwave;    
      case '13',alternator;
      case '14',dcmachine;    
      case '15',brushlessdcA; 
      case '16',switchrelmot; 
      case '17',imPHASORS;
      case '18',imswing;    
      case '19',swing4run;
      case '20',syncgenmovie1;    
      case '21',syncmotmovie0;   
      case '22',syncmotmovie1;     
      case '23',clc,clear,close all,break
      end     
  %      
                 