%     DATA
h=findobj(gcf,'Tag','Rs');Rs=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lsl');Lsl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rr');Rr=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lrl');Lrl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lm');Lm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','V');V=str2num(get(h,'string'));
h=findobj(gcf,'Tag','f');f=str2num(get(h,'string'));
h=findobj(gcf,'Tag','n1');n1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','n2');n2=str2num(get(h,'string'));
% Calculation
j=sqrt(-1);
n= n1:.005:n2;
    Zr=Rr./(f-n+eps)+j*Lrl;
    Zm=j*Lm.*Zr./(j*Lm+Zr);
    Zin=Rs/f+j*Lsl+Zm;
    Req=real(Zm);
    Is=V./(f*abs(Zin));
    Te=Is.*Is.*Req;
    pf=cos(angle(Zin));
    pm=Te.*n;
%  Plot  
figure('units','normalized','Position',[.03 .167 .56 .7],...
     'Name','KARAKTERISTIKE ASINHRONE MASINE','NumberTitle','on');
     subplot(211),plot(n,Te,'b','linewidth',2),xlabel('BRZINA'),ylabel('MOMENT'),grid
subplot(212),plot(n,Is,'r','linewidth',2),xlabel('BRZINA'),ylabel('STRUJA'),grid
%