% plots for im
figure('Position',[450 55 650  690],'Name','Torque speed characteristics',...
      'NumberTitle','off');
   subplot(311),plot(t,Te,'-r'),xlabel('TIME [s]'),ylabel('TORQUE'),grid;
   subplot(312), plot(t,wm,'-b'),xlabel('TIME [s]'),ylabel('SPEED'),grid
   subplot(313), plot(wm,Te,'m'),xlabel('SPEED'),ylabel('TORQUE'),grid
figure('Position',[13 34 490  560],'Name','Currents',...
    'NumberTitle','off');
    subplot(211), plot(t,iab,'-r'),xlabel('TIME [s]'),ylabel('Iab'),grid 
    subplot(212), plot(t,idq,'-g'),xlabel('TIME [s]'),ylabel('Idq'),grid 
figure('Position',[13 34 990 462],'Name','Current space vector',...
    'NumberTitle','off');
    subplot(121),plot(iab(:,1),iab(:,2),'-r'),
     title('Stationary frame'),xlabel('ias'),ylabel('ibs'),axis equal,grid;
    subplot(122), plot(idq(:,1),idq(:,2),'-b'),
   title('Synchronous frame'),xlabel('ids'),ylabel('iqs'),,axis equal,grid
 %close all
 %
