%   INDUCTION MACHINE LOGO
clc,clear
       
phis=0;rr=0.4;e=0;e1=0;d=0;d1=0;r=0.71; n=7;
%
  figure('units','normalized','Position',[.05 .09 .28 .3],'Name','INDUCTION MOTOR',...
        'NumberTitle','off');      
 %figure('units','normalized','Position',[.1 .1 .4 .5],'Name','INDUCTION MOTOR',...
    %    'NumberTitle','off');
 set(gcf,'color','w')         
                
      %Fa1=.70*cos(phis) ;Fb1=.70*sin(phis);      
      %Fa4=.70*cos(phis+pi);Fb4=.70*sin(phis+pi);
      q=0:pi/80:2*pi;q1=pi:pi/20:2*pi;q2=pi:-pi/20:0;
      %fill([0 -1 1],[-0.4 -1.2 -1.2],[.6 .6 .4],'LineWidth',1.5),hold on
      fill(.9*cos(q),0.9*sin(q),[.6 .6 .6],'LineWidth',1.5),hold on
      h1= patch(.62*cos(q1),0.62*sin(q1),1:length(q1),'facecolor','interp');
      h2=patch(.62*cos(q2),0.62*sin(q2),1:length(q2),'facecolor','interp');
      fill(.48*cos(q),0.48*sin(q),[.6 .6 .6],'LineWidth',1.5)
      %plot(.58*cos(q),0.58*sin(q),'-r','LineWidth',1.5)
      rotate(h1,[0 0 1],e,[0 0 0])
      rotate(h2,[0 0 1],e,[0 0 0])
           
     f1=plot(0,0,'xk',[0 1 .95 1 .95],[0 0 .03 0 -.03],'-k','LineWidth',2);
    
   for k=2:1:2*n-1
    theta=acos((n-k)/(n-1));
    x=r*cos(theta); y=r*sin(theta);
    h1=plot(x,y,'o','MarkerSize',8,'MarkerFacecolor','b');hold on
    rotate(h1,[0 0 1],e,[0 0 0])
end
for j=2:1:2*n-1
    theta=acos((n-j)/(n-1));
    x=r*cos(theta); y=-r*sin(theta);
    h2=plot(x,y,'o','MarkerSize',8,'MarkerFacecolor','g');
    rotate(h2,[0 0 1],e,[0 0 0])
end
h3=plot(r,0,'o','MarkerSize',8,'MarkerFacecolor','w');
rotate(h3,[0 0 1],e,[0 0 0])
h4=plot(-r,0,'o','MarkerSize',8,'MarkerFacecolor','w');
rotate(h4,[0 0 1],e,[0 0 0])


      for w=1:12
         h3=plot(0.39,0,'ko','MarkerSize',8,'MarkerFacecolor','y');
         rotate(h3,[0 0 1],d+e1,[0 0 0])
         d=d+30;
        end
     fill(0.15*cos(q),0.15*sin(q),[.3 .3 .3],'LineWidth',1.5)   
     
      %text(-1.16,1.13,'SQUIRREL-CAGE INDUCTION  MOTOR','FontSize',18,'FontWeight','bold','color','blue')
      %text(-.39,-1.05,'Click the motor','FontSize',16,'FontWeight','bold','color','w')
      set(gca,'Xlim',[-1.0 1.0],'Ylim',[-1.0 1.0],'visible','off')
      axis square
    
  %%%%%%%    
