%     DATA
clc
Rs=eval(get(hRs,'String'));
Lsl=eval(get(hLs,'String'));
Rr=eval(get(hRr,'String'));
Lrl=eval(get(hLr,'String'));
Lm=eval(get(hLm,'String'));
V=eval(get(hVs,'String'));
f=eval(get(hfs,'String'));
n1=eval(get(hn1,'String'));
n2=eval(get(hn2,'String'));
%
j=sqrt(-1);
n= n1:.005:n2;
    Zr=Rr./(f-n+eps)+j*Lrl;
    Zm=j*Lm.*Zr./(j*Lm+Zr);
    Zin=Rs/f+j*Lsl+Zm;
    Req=real(Zm);
    Is=V./(f*abs(Zin));
    Te=Is.*Is.*Req;
    pf=cos(angle(Zin));
    pm=Te.*n;
%    
figure('Position',[470 40 530 600],...
     'Name','INDUCTION MOTOR CHARACTERISTICS','NumberTitle','off');
     subplot(211),plot(n,Te,'b','linewidth',2),xlabel('SPEED'),ylabel('TORQUE'),grid
subplot(212),plot(n,Is,'r','linewidth',2),xlabel('SPEED'),ylabel('CURRENT'),grid
