% plots for SMabcstartsim0.mdl
close all

spdrg=ones(1,length(t));
Te=y(:,1);spd=y(:,3);TL=y(:,2);
ias=x(:,1);ibs=x(:,2); ics=x(:,3);
Is=sqrt(ias.^2+(ibs-ics).^2/3)  ;              % Stator current magnitude [pu]
iff=x(:,4);

figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Synchronous motor start (abc)');
     figure(1)
  plot(t,spd,'-m'),grid,title('SPEEDS'),xlabel('Time [s]'),ylabel('Speed [pu]'),hold on
  plot(t,spdrg,'-r')
  legend('Motor speed','Synchronous speed',4) 

figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Synchronous motor start (abc)');  
       figure(2)
  plot(t,Te,'-b',t,TL,'-c'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [pu]')
  legend('electromagnetic torque','load torque',4)
  
  
figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Synchronous motor start (abc)'); 
     figure(3)
  plot(t,iff,'-g'),grid,title('FIELD CURRENT'),xlabel('Time [s]'),ylabel('Field current [pu]')   

  
  figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Synchronous motor start (abc)');   
     figure(4)
  plot(t,ias,'-r',t,Is,'-k'),grid,title('STATOR CURRENT'),xlabel('Time [s]'),ylabel('Stator current [pu]')
  
  
 