% plots for imabcsim0.mdl
close all
lg=length(t);
spdsync=120*freq0/p;
spdrg=ones(1,length(t))*spdsync;


Te=y(:,1);TL=y(:,2);
spd=y(:,3);spdcom=y(:,4);
vas=y(:,5);
ias=x(:,1);ibs=x(:,2); ics=x(:,3);
Is=sqrt(ias.^2+(ibs-ics).^2/3)  ;              % Stator current magnitude [A]
iar=x(:,5);
figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Prelazni rezim rada asinhrone masine (abc)');
     figure(1)
  plot(t,spd,'-m',t,spdcom,'r'),grid,title('BRZINE'),xlabel('Vreme [s]'),ylabel('Brzina [min-1]')
  %plot(t,spdrg,'-r')
  legend('brzina motora','komandovana brzina',3) 

figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Prelazni rezim rada asinhrone masine (abc)');  
       figure(2)
  plot(t,Te,'-b',t,TL,'-c'),grid,title('MOMENTI'),xlabel('Vreme [s]'),ylabel('Moment [N.m]')
  legend('elektromagnetni moment','moment opterecenja',2)
  %set(gca,'Xlim',[sg*tf tf])
  
figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Prelazni rezim rada asinhrone masine (abc)'); 
     figure(3)
  plot(t,vas,'color',[.6 .2 .4]),grid,title('NAPON STATORA'),xlabel('Vreme [s]'),ylabel('Napon [V]')   

figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Prelazni rezim rada asinhrone masine (abc)');   
     figure(4)
  plot(t,iar,'-r'),grid,title('STRUJA ROTORA'),xlabel('Vreme [s]'),ylabel('Struja [A]')
   
  figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Prelazni rezim rada asinhrone masine (abc)');   
     figure(5)
  plot(t,ias,'-r',t,Is,'-k'),grid,title('STRUJA STATORA'),xlabel('Vreme [s]'),ylabel('Struja [A]')
  %set(gca,'Xlim',[sg*tf tf])
  
  
 