% --------------------  GRAPHICAL DISPLAYS for <<SMabcsisingle.mdl>>  ---------------------
 close all
 Te=y(:,1); TL=y(:,3); Tav=y(:,2);
 spd=y(:,4);pos=y(:,5);iro=y(:,6)/Rr;
 is=x(:,1)  ;          % Stator  instantaneous currents [A]
 ir=x(:,2)  ;          % Rotor  instantaneous currents [A]
               
 angle=y(:,6);                      % Torque angle delta [o]
    
  figure('Units','Normalized','Position',[.46 .49 .47 .34],'Name','Single-phase SM');
  figure(1)
  plot(t,Te,'-g',t,Tav,'-k',t,TL,'-r'),grid,title('TORQUES','color','k'),xlabel('Time [s]'),ylabel('Torque [pu]')
  legend('instantaneous torque','average torque','load torque',2)
  
  figure('Units','Normalized','Position',[.01 .1 .45 .32],'Name','Single-phase SM');
  figure(2) 
   plot(t,spd,'-c');title('Speed','color','r'),xlabel('Time [s]'),ylabel('Speed [rpm]'),grid
  
  figure('Units','Normalized','Position',[.01 .08 .45 .32],'Name','Single-phase SM');
  figure(3) 
   plot(t,is,'-r');title('Stator current','color','r'),xlabel('Time [s]'),ylabel('is [A]'),grid
   
   figure('Units','Normalized','Position',[.46 .08 .47 .32],'Name','Single-phase SM'); 
  figure(4) 
   plot(t,ir,'-b',t,iro,'y');title('Rotor current','color','b');xlabel('Time [s]'),ylabel('ir [A]'),grid 
   
   
   figure('Units','Normalized','Position',[.01 .50 .45 .32],'Name','Single-phase SM'); 
  figure(5) 
   plot(t,angle,'-m');title('Torque angle vs time','color','r');xlabel('Time [s]'),ylabel('Torque angle \delta [o]'),grid 
   
  figure('Units','Normalized','Position',[.02 .53 .45 .32],'Name','Single-phase SM'); 
  figure(6) 
   plot(angle,spd,'-c');title('Speed vs angle','color','r');xlabel('Angle \delta [o]'),ylabel('Speed [rpm]'),grid 
   
   
  