%SMalonevecdef.m     SYNCHRONOUS MACHINE PARAMETERS 
clear,clc,close all
disp(date)
% ------------------------  DATA  --------------------------------------------
%                      Machine parameters (pu) :
       Ra=.018;Ld=1.15;Lq=.75;Lal=0.15;Lmd=Ld-Lal; Lmq=Lq-Lal;
       Rf=0.001; Lfl=0.2; Rkd=0.02; Lkdl=0.11; Rkq=0.04; Lkql=0.15;
       freq0=60.0;wo=2*pi*freq0 ;Ef=1.05; vf0=Ef*Rf/Lmd;       
       % ----------------------------------------------------------------------------
               disp('     MACHINE PARAMETERS in per unit:            ')
disp('   Ra         Ld        Lq         Lal  ')
disp([Ra Ld Lq Lal])
disp('    Rf        Lfl       Rkd       Lkdl        Rkq       Lkql      ')
param1=[Rf Lfl Rkd Lkdl Rkq Lkql] ; 
disp(param1)
%
%                 PARAMS
      L=[Lal+Lmd    0     Lmd     0       Lmd
           0    Lal+Lmq   0       Lmq      0
         Lmd       0      Lmd+Lkdl 0      Lmd
         0       Lmq      0       Lmq+Lkql 0
         Lmd       0       Lmd     0      Lmd+Lfl];
      L_1=inv(L);

%     Initial conditions:
           if0=Ef/Lmd;
           phid=Lmd*if0   ;  phiq=0;  fa0=[phid phiq];
           phif0=(Lmd+Lfl)*if0;
           phikd=Lmd*if0   ; phikq=0; fk0=[phikd phikq];
           