%smico/m     SYNCHRONOUS MACHINE PARAMETERS AND OPERATING POINT at noload
disp(date)
% ------------------------  DATA  --------------------------------------------
h=findobj(gcf,'Tag','Ra');Ra=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Ld');Ld=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lq');Lq=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lal');Lal=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rf');Rf=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lfl');Lfl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rkd');Rkd=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lkdl');Lkdl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rkq');Rkq=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lkql');Lkql=str2num(get(h,'string'));
h=findobj(gcf,'Tag','H');H=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Bm');Bm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','freq0');freq0=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Ef');Ef=str2num(get(h,'string'));     

          
% ----------------------------------------------------------------------------
              
           %        Steady-state calculation under open circuit                  
    j=sqrt(-1);
    Lmd=Ld-Lal;Lmq=Lq-Lal ;
    delta0=0;wo=2*pi*freq0;
    if0=Ef/Lmd; id0=0; iq0=0;Te0=0;n0=1.0;

 %                 PARAMS    
     L=[Lal+Lmd    0     Lmd     0       Lmd
           0    Lal+Lmq   0       Lmq      0
         Lmd       0      Lmd+Lkdl 0      Lmd
         0       Lmq      0       Lmq+Lkql 0
         Lmd       0       Lmd     0      Lmd+Lfl];
      L_1=inv(L);
%     Initial conditions:
           phid=Ld*id0+Lmd*if0   ;  phiq=Lq*iq0 ;fa0=[phid phiq];
           phif0=(Lmd+Lfl)*if0+Lmd*id0;
           phikd=Lmd*(id0+if0)   ; phikq=Lmq*iq0;fk0=[phikd phikq];
           n0=1.0 ;   Tl=Te0      ; vf0=Rf*if0   ;

%
      







