% SM transients set up
clear,clc,close all
h0=figure('Units','Normalized','menubar','none','numbertitle','off','Position',[.75 .70 .23 .2]); 
        uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[.4 .2 .6], ...
	      'FontSize',12, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[1 0 0], ...
 	      'Position',[0.05 0.75 0.9 .24], ...
	      'String','SYNCHRONOUS MACHINE', ...
	      'TooltipString','SM');
       uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','clc,close all,return', ...
	      'FontSize',10, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[1 1 1], ...
 	      'Position',[0.21 0.1 0.6 0.22], ...
	      'String','CLOSE', ...
	      'TooltipString','Close'); 
       uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','smtransientscript', ...
	      'FontSize',10, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[1 1 1], ...
 	      'Position',[0.21 0.31 0.6 .22], ...
	      'String','RUN', ...
	      'TooltipString','Run');
       uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','edit smdata', ...
	      'FontSize',10, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[1 1 1], ...
 	      'Position',[0.21 0.52 0.6 .22], ...
	      'String','PARAMETERS', ...
	      'TooltipString','param');
     
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%