% Swing function
function dxdt=sweq0(t,x);
 V=1; E=1.03; f0=60; Pm=0.8; Xduring=1.1; Xafter=0.5; H=2.76; Tc=.5;
 wo=2*pi*f0;
if t<=Tc, X=Xduring;
   elseif t>Tc, X=Xafter;
end    
%State equations:
  dxdt=[x(2)-wo; 0.5*wo/H*(Pm-E*V*sin(x(1))/X)];
%%