%travelwavesB.m
%data
f=60; T=1/f; w=2*pi*f;
theta=0:pi/200:2*pi;
t=0;dt=T/200;
ca=eval(get(ha,'string'));
cp=eval(get(hp,'string'));
c=eval(get(hc,'string'));
%
 figure('units','normalized','Position',[.01 .09 .96 .41],'Name','TRAVELING WAVES ',...
         'NumberTitle','off');         
 
    while t<=c*T
      f1=cos(w*t)*cos(theta)+ca*cos(w*t-cp*pi/2)*sin(theta);
      fa=cos(w*t); fb=ca*cos(w*t-cp*pi/2);
      axes('Position',[0.05 0.1 .5 .8])
      plot(theta*180/pi,f1,'-r','LineWidth',2), title('WAVE SPACE DISTRIBUTION'),hold on
      set(gca,'Xlim',[0 360],'Ylim',[-1.5 1.5])
      set(gca,'Xtick',0:30:360),grid
      axes('Position',[0.55 0.1 .5 .8]);
      compass(1.4,0.1,'w'),%hold on
      compass(fa,fb,'b')
      set(findobj(gca,'Type','line'),'LineWidth',2)
      text(-1.23,1.97,'MOTION OF SPACE VECTOR')
      t=t+dt;
      fprintf(1,'.')
    end   
%    
