%%%%% vecdecompcalc.m
clc
warning off
h=findobj(gcf,'Tag','fRmag1');fRmag1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','fRph1');fRph1=str2num(get(h,'string'));

fRphase1=fRph1*pi/180;
alpha=2*pi/3;
q=exp(j*alpha);
fR1=fRmag1*exp(j*fRphase1); fR1x=real(fR1); fR1y=imag(fR1);
fA1=real(fR1);
fB1=real(q^2*fR1);
fC1=real(q*fR1);
fb1=imag(fR1); 
       FA1=fA1;
       FB1=fB1*exp(j*alpha); FB1x=real(FB1); FB1y=imag(FB1);
       FC1=fC1*exp(-j*alpha); FC1x=real(FC1); FC1y=imag(FC1);
  h1=findobj('tag','fA1');set(h1,'String',num2str(fA1));     
 h2=findobj('tag','fB1');set(h2,'String',num2str(fB1)) ; 
 h3=findobj('tag','fC1');set(h3,'String',num2str(fC1));
 h4=findobj('tag','fb0');set(h4,'String',num2str(fb1));
 h9=axes('Position',[0.1 0.04 .8 .51]);
 vecarrow([0 0],[fR1x fR1y],'m'),grid,hold on
 vecarrow([0 0],[FB1x FB1y],'g')
 vecarrow([0 0],[FC1x FC1y],'b')
 vecarrow([0 0],[fA1 0],'r')
 vecarrow([0 0],[0 fb1],'y')
 plot(0,0,'xk','markersize',12)
axis('square','equal')
plot([fR1x fA1],[fR1y 0],':c')  
plot([fR1x FB1x],[fR1y FB1y],':c') 
plot([fR1x FC1x],[fR1y FC1y],':c') 
plot([fR1x 0],[fR1y fR1y],':c') 
  set(findobj(gca,'Type','line'),'LineWidth',2)     
      title('SPACE VECTOR','color','m','fontsize',14)
 hold off
  
%%