% Induction machine model
function [f,x0]=imKmod0(t,x,u,flag,Rs,Rr,L_param,Hi,wo,ic) 
    Lsl=L_param(1);
    Lrl=L_param(2);
    Lm=L_param(3);

L=[Lsl+Lm   0      Lm     0   
          0   Lsl+Lm    0     Lm
          Lm    0     Lrl+Lm  0
          0    Lm      0     Lrl+Lm];

if abs(flag)==1,
              flux=[x(1) x(2) x(3) x(4)]'; cur=L\flux ;
%               Dynamic equations of induction machine :
f(1)=wo*(u(1)-Rs*cur(1)+u(3)*x(2)); 
f(2)=wo*(u(2)-u(3)*x(1)-Rs*cur(2));
f(3)=wo*(-Rr*cur(3)+x(4)*(u(3)-x(5)));
f(4)=wo*(-Rr*cur(4)-x(3)*(u(3)-x(5)));
f(5)=(cur(2)*x(1)-cur(1)*x(2)-u(4))/(2*Hi);
elseif flag==3,
   flux=[x(1) x(2) x(3) x(4)]'; cur=L\flux ;
        f(1)=x(5); 
        f(2)=cur(2)*x(1)-cur(1)*x(2);
        f(3)=cur(1);
        f(4)=cur(2);
 elseif flag==0,
         f=[5,0,4,4,0,0];
         x0=ic;
 else
         f=[];
end     