%                <<<   INDUCTION MOTOR TRANSIENTS  >>>
clear,clc,close all
%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS [SI] %%%%%%%%%%%%%%%%%%%%%%%%
Vll=220    ;    %Line-to-line rms voltage rating [V]
Rs=0.531    ;   %Stator resistance (Ohm)
Rr=0.408   ;    %Rotor resistance  (Ohm)
Lsl=2.5e-3 ;    %Stator leakage inductance(H)
Lrl=2.5e-3    ; %Rotor leakage inductance  (H)
Lm=84.7e-3   ;  %Magnetizing inductance  (H) 
freq0=60   ;    %Base frequency (Hz)imdqrun0
wo=2*pi*freq0 ; %Base frequency (rad/s)
p=4        ;    %number of poles
J=0.02    ;     %Moment of inertia (kg.m^2)
TL1=10;         %Initial load torque [N.m]
TL2=2;          %Final load torque [N.m]
Bm=.01;        %Frictional coefficient
ws=1.0     ;    %Stator frequency (pu)
wk=ws   ;       %Synchronous frame
wmec0=wo*2/p;   %Speed [rad/s]
nsync=120*freq0/p;%Synchronous speed [rpm]
Vs=Vll*sqrt(2/3);
    fs0=[0 0];
    fr0=[0 0];  %initial conditions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%