%  INDUCTION MOTOR CONFIGURATION
clear,clc
 figure('units','normalized','Position',[.05 .09 .28 .3],'Name','INDUCTION MOTOR',...
        'NumberTitle','off','menubar','none');
      e=0;phis=pi/2;g=pi/3;r1=.62;d=0;r2=.8;r3=.5;
    
      Fa1=r1*cos(phis);Fb1=r1*sin(phis);
      Fa2=r1*cos(phis+g);Fb2=r1*sin(phis+g);
      Fa3=r1*cos(phis+2*g);Fb3=r1*sin(phis+2*g);
      Fa4=r1*cos(phis+3*g);Fb4=r1*sin(phis+3*g);
      Fa5=r1*cos(phis+4*g);Fb5=r1*sin(phis+4*g);
      Fa6=r1*cos(phis+5*g);Fb6=r1*sin(phis+5*g);
    
       p=[0:pi/20:2*pi];
      X= r2*cos(p) ;Y=r2*sin(p);       
      x=r3*cos(p) ;y=r3*sin(p);
           
      fill(X,Y,[.8 .8 .8],'LineWidth',1.5),hold on
      fill(x,y,[1 1 1],'LineWidth',1.5)
      
      for k=1:25
          fill(.45*cos(p),0.45*sin(p),[.8 .8 .8],'LineWidth',1.5)
          fill(.15*cos(p),0.15*sin(p),[.3 .3 .3],'LineWidth',1.5)
        for w=1:12
         h1=plot(0.35,0,'ko','MarkerSize',8,'MarkerFacecolor','y');
         rotate(h1,[0 0 1],d+e,[0 0 0])
         d=d+30;
        end
     
      plot(Fa1,Fb1,'ro','LineWidth',1.5,'MarkerSize',12,'MarkerEdgeColor','k','MarkerFacecolor','r')
      plot(Fa1,Fb1,'k.','MarkerSize',10)
      plot(Fa2,Fb2,'bo','LineWidth',1.5,'MarkerSize',12,'MarkerEdgeColor','k','MarkerFacecolor','b')
      plot(Fa2,Fb2,'kx','MarkerSize',10)
      plot(Fa3,Fb3,'go','LineWidth',1.5,'MarkerSize',12,'MarkerEdgeColor','k','MarkerFacecolor','g')
      plot(Fa3,Fb3,'k.','MarkerSize',10)
      plot(Fa4,Fb4,'ro','LineWidth',1.5,'MarkerSize',12,'MarkerEdgeColor','k','MarkerFacecolor','r')
      plot(Fa4,Fb4,'kx','MarkerSize',10)
      plot(Fa5,Fb5,'bo','LineWidth',1.5,'MarkerSize',12,'MarkerEdgeColor','k','MarkerFacecolor','b')
      plot(Fa5,Fb5,'k.','MarkerSize',10)
      plot(Fa6,Fb6,'go','LineWidth',1.5,'MarkerSize',12,'MarkerEdgeColor','k','MarkerFacecolor','g')
      plot(Fa6,Fb6,'kx','MarkerSize',10)
      
       set(gcf,'color','w') 
       set(gca,'Xlim',[-1.0 1.0],'Ylim',[-1.0 1.0],'visible','off')
       axis square
    
      e=e+6;
   end
  %