%SMaloneic.m     SYNCHRONOUS MACHINE PARAMETERS 

disp(date)
%     SYNCHRONOUS MACHINE PARAMETERS 
h=findobj(gcf,'Tag','Ra');Ra=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Ld');Ld=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lq');Lq=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lal');Lal=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rf');Rf=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lfl');Lfl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rkd');Rkd=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lkdl');Lkdl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rkq');Rkq=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lkql');Lkql=str2num(get(h,'string'));
h=findobj(gcf,'Tag','freq0');freq0=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Ef');Ef=str2num(get(h,'string'));   
h=findobj(gcf,'Tag','Lload');Lload=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rload');Rload=str2num(get(h,'string'));  

        Lmd=Ld-Lal;
        Lmq=Lq-Lal; 
        wo=2*pi*freq0 ;
       
% ----------------------------------------------------------------------------
               disp('     MACHINE PARAMETERS in per unit:            ')
disp('   Ra         Ld        Lq         Lal  ')
disp([Ra Ld Lq Lal])
disp('    Rf        Lfl       Rkd       Lkdl        Rkq       Lkql      ')
param1=[Rf Lfl Rkd Lkdl Rkq Lkql] ; 
disp(param1)
%
%                 PARAMS
      L=[Lal+Lmd    0     Lmd     0       Lmd
           0    Lal+Lmq   0       Lmq      0
         Lmd       0      Lmd+Lkdl 0      Lmd
         0       Lmq      0       Lmq+Lkql 0
         Lmd       0       Lmd     0      Lmd+Lfl];
      L_1=inv(L);

%     Initial conditions:
           if0=Ef/Lmd;vf0=if0*Rf;
           phid=Lmd*if0   ;  phiq=0;  fa0=[phid phiq];
           phif0=(Lmd+Lfl)*if0;
           phikd=Lmd*if0   ; phikq=0; fk0=[phikd phikq];
           