%plot smeq1plt.m
clc,close all
figure('units','normalized','Position',[0.03 0.04 .9 .85],'Name','Short-circuit transients',...
      'NumberTitle','off')
  subplot(2,2,1),plot(t,y(:,6),'-b');xlabel('TIME [s]'),ylabel('ANGLE \delta [deg]'),grid
  subplot(2,2,2),plot(y(:,6),y(:,5),'color',[.7 .5 .5]),xlabel('ANGLE \delta [deg]'),ylabel('SPEED [pu]'),grid
  subplot(2,2,3),plot(t,y(:,3),'-g');xlabel('TIME [s]'),ylabel('FIELD CURRENT [pu]'),grid
  w=axis;
  text(.86*w(2),1.14*w(4),mode,'color',[.9 .1 .5],'fontsize',16)
  subplot(2,2,4),plot(t,y(:,4),'-r'),xlabel('TIME [s]'),ylabel('TORQUE [pu]'),grid
%%%%%%%%%%  
  