%     SYNCHRONOUS MACHINE PARAMETERS AND OPERATING POINT  <smvecdef8.m>
clear,clc,close all
disp(date)
% ------------------------  DATA  --------------------------------------------
%                      Machine parameters (pu) :
        Ra=.018;Ld=1.15;Lq=.75;Lal=0.15; 
        Rf=0.001; Lfl=0.2; Rkd=0.02; Lkdl=0.11; Rkq=0.04; Lkql=0.15;Lmd=Ld-Lal;
        Lmq=Lq-Lal;       H=4.0;Bm=1e-6; freq0=60.0;wo=2*pi*freq0 ;bet=0 ;
%                      Line parameters:
         Rline=.0001; Lline=0.3;
%                     Initial state  :        
               V=1.0 ;          %bus voltage
               Ef=1.0;          %initial excitation voltage 
               Te0=0 ;          %no load
               n0=1 ;           %initial speed
               delta0=0 ;       %initial phaseshift
% ----------------------------------------------------------------------------
               disp('     MACHINE PARAMETERS in per unit:            ')
disp('   Ra         Ld        Lq         Lal       Rline    Lline')
disp([Ra Ld Lq Lal Rline Lline])
disp('    Rf        Lfl       Rkd       Lkdl        Rkq       Lkql       H ')
param1=[Rf Lfl Rkd Lkdl Rkq Lkql H]; 
disp(param1)
%                 INDUCTANCES    
      L=[Lal+Lmd    0     Lmd     0       Lmd
           0    Lal+Lmq   0       Lmq      0
         Lmd       0      Lmd+Lkdl 0      Lmd
         0       Lmq      0       Lmq+Lkql 0
         Lmd       0       Lmd     0      Lmd+Lfl];
      L_1=inv(L);
         L3=[Lal+Lmd    0     Lmd     
           0    Lal+Lmq   0       
          Lmd       0     Lmd+Lfl];
  L3_1=inv(L3);
%       Initial conditions:
           if0=Ef/Lmd;  vf0=Rf*if0   ;
           phid=Lmd*if0   ;  phiq=0 ;fa0=[phid phiq];
           phif0=(Lmd+Lfl)*if0;
           phikd=Lmd*if0   ; phikq=0;  fk0=[phikd phikq];
% ----------------------------------------------------------------------------           
      