%  vectrolrun9.m koristi unete parametre masine.
%  Indirektna vektorska kontrolaasinhronog motora koriscenjem naponske
%  pobude

clc,close all,clear
%           Parametri masine u sistemu r.j.:                            
Rs=0.01 ; %Otpornost statora
Rr=0.015; %Otpornost rotora
Lsl=0.10; %Induktivnost rasipanja statora
Lrl=0.10; %Induktivnost rasipanja rotora
Lm=3.0  ; %Induktivnost magnecenja
vs=1.0  ; %Napon statora
ws=1.0  ; %Frekvencija statora
freq0=60; %Bazna frekvencija (Hz)
H=0.50  ; %Inerciona konstanta (s)
Bm=1e-6 ; %Koeficijent momet-brzina
fro=1.0 ; %Fluks rasipanja rotora
%   
Ls=Lsl+Lm;  Lr=Lrl+Lm; %Induktivnost statora i rotora
Lsp=Lsl+Lm*Lrl/Lr;     %Tranzientna induktivnost statora
wo=2*pi*freq0          %Bazna frekvencija[rad/s]
Tr=Lr/(wo*Rr);         %Vremenska konstanta rotora[s]
%
%================> Zatvori prozor % Startuj simulaciju